// gnome.xonotic.in.ua

flareshader
{
	cull none
	{
		map gfx/misc/flare.tga
		blendfunc gl_one gl_one
		rgbgen vertex
	}
}

models/mapobjects/skel/skel
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/skel/skel.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

textures/base_door/shinymetaldoor_outside
{
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		tcmod scale .25 .25
		rgbgen identity
	}
	{
		map textures/base_door/shinymetaldoor_outside.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbgen identity
	}
	{
		map textures/base_door/quake3sign_outside.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/base_door/shinymetaldoor_outside3a
{
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		tcmod scale .25 .25
		rgbgen identity
	}
	{
		map textures/base_door/shinymetaldoor_outside3a.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/base_door/shinymetaldoor_outside3a2
{
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		tcmod scale .25 .25
		rgbgen identity
	}
	{
		map textures/base_door/shinymetaldoor_outside3a2.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/base_door/shinymetaldoor_outside3glow.tga
		blendfunc add
		rgbgen wave sin .9 .1 0 5
	}
}

textures/base_floor/proto_grate4
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	nopicmip
	{
		map textures/base_floor/proto_grate4.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_floor/tilefloor7_ow
{
	q3map_lightimage textures/base_floor/tilefloor7_owfx.tga
	q3map_surfacelight 100
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_floor/tilefloor7_ow.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_floor/tilefloor7_owfx.tga
		blendfunc gl_one gl_one
		rgbgen wave triangle 1 2 0 7
	}
	{
		map textures/base_floor/tilefloor7_owfx.tga
		blendfunc gl_one gl_one
		rgbgen wave triangle 1 5 1 3
	}
}

textures/base_light/ceil1_34_5k
{
	qer_editorimage textures/base_light/ceil1_34.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_34.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_34.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/patch10_pj_lite
{
	q3map_surfacelight 2500
	surfaceparm nomarks
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/patch10_pj_lite.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/patch10_pj_lite.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_wall/bluemetal1b_shiny
{
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_wall/bluemetal1b_shiny.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
}

textures/base_wall/bluemetalsupport2
{
	{
		map textures/base_wall/chrome_env2.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_wall/chrome_metal
{
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/chrome_metal.tga
		blendfunc gl_one gl_one
		detail
		tcmod scale 0.0693 0.0712
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/base_wall/c_met5_2_trans
{
	qer_editorimage textures/base_wall/c_met5_2.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_wall/c_met5_2.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/base_wall/metaltechgeomtrn
{
	{
		map textures/sfx/fire_ctfblue.tga
		tcmod scroll 0 1
		tcmod turb 0 .25 0 1.6
		tcmod scale 2 2
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/base_wall/metaltechgeomtrn.tga
		blendfunc blend
		tcmod rotate 30
		tcmod stretch sin .8 0.2 0 .2
		rgbgen identity
	}
	{
		map textures/base_wall/metaltechgeomtrn2.tga
		blendfunc blend
		tcmod rotate 20
		tcmod stretch sin .8 0.2 0 .1
		rgbgen identity
	}
	{
		map textures/base_wall/metaltechgeomtrn.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_wall/protobanner_still
{
	qer_editorimage textures/base_wall/protobanner.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	tesssize 64
	{
		map textures/base_wall/protobanner.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/common/areaportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm areaportal
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/mirror2
{
	qer_editorimage textures/common/qer_mirror.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		blendfunc gl_one gl_one_minus_src_alpha
		depthwrite
	}
	{
		map textures/sfx/mirror.tga
		blendfunc gl_zero gl_one_minus_src_color
	}
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrawnonsolid
{
	surfaceparm nonsolid
	surfaceparm nodraw
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/gothic_block/demon_block15fx
{
	{
		map textures/sfx/firegorre.tga
		tcmod scroll 0 1
		tcmod turb 0 .25 0 1.6
		tcmod scale 4 4
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_block/demon_block15fx.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/liquids/clear_calm1
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin .25 .25 0 .5
	{
		map textures/liquids/pool3d_5e.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/liquids/pool3d_3e.tga
		blendfunc gl_dst_color gl_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/sfx/bouncepad01_metalbridge06b
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 400
	{
		map textures/sfx/bouncepad01_metalbridge06b.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/sfx/launchpad_metalbridge04d
{
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/sfx/launchpad_metalbridge04d.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/launchpad_dot.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 1
	}
	{
		animmap 4 textures/sfx/launchpad_arrow.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}
}

textures/skies/pjbasesky_arena1_sky
{
	qer_editorimage textures/skies/pjbasesky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_sun 0.266383 0.274632 0.358662 150 60 85
	q3map_surfacelight 100
	skyparms - 512 -
	{
		map textures/skies/dimclouds.tga
		tcmod scroll 0.01 0.01
		tcmod scale 3 3
		depthwrite
	}
	{
		map textures/skies/pjbasesky.tga
		blendfunc gl_one gl_one
		tcmod scroll -0.01 -0.01
		tcmod scale 5 5
	}
}

